List campaigns
curl --request GET \
--url https://api.vambe.me/api/public/outreach-campaign \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/outreach-campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/outreach-campaign"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"total": 123,
"page": 123,
"page_size": 123,
"has_more": true,
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Autocash Septiembre",
"status": "draft",
"campaign_type": "one_time",
"kpi_event": {
"key": "order_created",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"audience": {
"status": "<string>",
"source": "<string>",
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"size": 123
},
"lifecycle": "notSent",
"delivery": {
"not_started": 123,
"running": 123,
"finished": 123,
"last_batch_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"front_url": "<string>",
"steps": [
{
"kind": "send-template",
"channel": "whatsapp"
}
]
}
]
}Campaigns
List campaigns
List your one-time campaigns, newest first, with their status, audience and delivery progress.
GET
/
api
/
public
/
outreach-campaign
List campaigns
curl --request GET \
--url https://api.vambe.me/api/public/outreach-campaign \
--header 'x-api-key: <x-api-key>'const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.vambe.me/api/public/outreach-campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vambe.me/api/public/outreach-campaign"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"total": 123,
"page": 123,
"page_size": 123,
"has_more": true,
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Autocash Septiembre",
"status": "draft",
"campaign_type": "one_time",
"kpi_event": {
"key": "order_created",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"audience": {
"status": "<string>",
"source": "<string>",
"segment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"size": 123
},
"lifecycle": "notSent",
"delivery": {
"not_started": 123,
"running": 123,
"finished": 123,
"last_batch_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"front_url": "<string>",
"steps": [
{
"kind": "send-template",
"channel": "whatsapp"
}
]
}
]
}Headers
API key needed to authorize the request
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Was this page helpful?
